// 概率计算.cpp : Defines the entry point for the console application.
//

#include <math.h>
#include "probability.h"

//////////////////////////////////////////////////////////////////////////
//    正态分布函数值算例
void main1()
{
	for(double x=-2.5; x<2.51;x+=0.5)
	{
		printf("x=%5.1lf      F(x)=%6.5lf\n",x,probability_norm(x));
	}
}

//////////////////////////////////////////////////////////////////////////
//    正态分布反函数
void main2()
{
	for(double p=0.1; p<0.91; p+=0.1)
	{
		printf("p=%5.1lf  Up=%8.5lf\n",p,probability_re_norm(p));
	}
}

//////////////////////////////////////////////////////////////////////////
//    chi2 分布算例
void main3()
{
	for(int n=1; n<=10; n+=2)
	{
		printf("\n%2d ",n);
		for(double x=1; x<10.1; x+=2.0)
		{
			double f;
			printf(" %6.3lf",probability_chi2(n,x,&f));
		}
	}
}

//////////////////////////////////////////////////////////////////////////
//    chi2 分布反函数算例
void main4()
{
	for(int n=1; n<10; n+=2)
	{
		printf("\n%2d ",n);
		for(double p=0.1; p<0.91; p+=0.2)
		{
			printf(" %6.3lf",probability_re_chi2(n,p));
		}
	}
}

//////////////////////////////////////////////////////////////////////////
//    F分布函数算例
void main5()
{
	for(int n1=1; n1<10; n1+=2)
	{
		printf("\n");
		for(int n2=1; n2<10; n2+=2)
		{
			double f;
			printf(" %6.3lf",probability_F(n1,n2,5.0,&f));
		}
	}
}


//////////////////////////////////////////////////////////////////////////
//    F分布反函数
void main6()
{
	for(int n1=1; n1<10; n1+=2)
	{
		printf("\n");
		for(int n2=1; n2<10; n2+=2)
		{
			printf(" %6.3lf",probability_re_F(n1,n2,0.9));
		}
	}
}

//////////////////////////////////////////////////////////////////////////
//    t分布函数算例
void main7()
{
	printf("\nt分布");

	for(int n=1; n<10; n+=2)
	{
		printf("\n");
		for(double t=1.0; t<10.0; t+=2.0)
		{
			double f;
			printf(" %6.3lf",probability_t(n,t,&f));
		}
	}
}



//////////////////////////////////////////////////////////////////////////
//    t分布反函数算例
void main8()
{
	printf("\nt分布反函数");

	for(int n=1; n<10; n+=2)
	{
		printf("\n");
		for(double p=0.1; p<0.91; p+=0.2)
		{
			printf(" %6.3lf",probability_re_t(n,p));
		}
	}
}





int main(int argc, char* argv[])
{
	printf("\n     ===== 第2章 概率计算算例 =====\n");
	printf("本章共有9个例题：\n");
	printf("	1.正态分布函数值（2.3 例题）\n");
	printf("	2.正态分布反函数值（2.4 例题）\n");
	printf("	3.chi2分布函数值（2.5 例题）\n");
	printf("	4.chi2分布反函数（2.6 例题）\n");
	printf("	5.F分布函数值（2.8 例题）\n");
	printf("	6.F分布反函数（2.9 例题）\n");
	printf("	7.t分布函数（2.10 例题）\n");
	printf("	8.t分布反函数（2.11 例题）\n");

	
	printf("\n请从键盘输入要执行的例题编号:\n");
	
	
	int sw=getc(stdin)-'0';
	
	
	switch(sw) 
	{
	case 1: 
		main1();	
		break;
	case 2:
		main2(); 
		break;
	case 3:
		main3();	
		break;
	case 4:
		main4(); 
		break;

	case 5:
		main5(); 
		break;
	case 6:
		main6(); 
		break;
	case 7:
		main7(); 
		break;
	case 8:
		main8(); 
		break;
		
	default:
		
		break;
	}
	
	printf("\n");
	return 0;
}

